List company-list members
curl --request GET \
--url https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/{company_list_id}/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/{company_list_id}/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/{company_list_id}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/{company_list_id}/companies")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/{company_list_id}/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/{company_list_id}/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"member_identity": "domain:instantly.ai",
"normalized_domain": "instantly.ai",
"company_name": "Instantly",
"website": "https://instantly.ai",
"provider_company_ids": [
"provider-company-1"
],
"linkedin_company_ids": [
"123456"
],
"linkedin_company_urls": [
"https://linkedin.com/company/instantly"
],
"linkedin_company_slugs": [
"instantly"
],
"industry": [
"software"
],
"sub_industry": [
"sales-automation"
],
"technologies": [
"React"
],
"headquarters_country": "United States",
"headquarters_region": "California",
"headquarters_city": "San Francisco",
"employee_count": 100,
"founded_year": 2018,
"revenue_usd": 1000000,
"funding_total_usd": 2000000
}
],
"next_cursor": "WyIyMDI2LTA3LTMwVDAwOjAwOjAwLjAwMFoiLCJsaXN0OjAxOGYyMyJd"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}CompanyList
List company-list members
Requires one of the following scopes: supersearch_enrichments:read, supersearch_enrichments:all, all:read, all:all
GET
/
api
/
v2
/
supersearch-enrichment
/
company-lists
/
{company_list_id}
/
companies
List company-list members
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"018f23b7-92bb-7c64-a3d4-1ba53b8ad971"
Query Parameters
Required range:
1 <= x <= 100Example:
50
Minimum string length:
1Example:
"WyIyMDI2LTA3LTMwVDAwOjAwOjAwLjAwMFoiLCJsaXN0OjAxOGYyMyJd"
⌘I